---
title: "GET /blueprintcomponents/{guid} - Blueprint Components · RUAL Documentation"
description: "GET: Get a blueprint component"
canonical: https://docs.rual.nl/cluster/api/blueprint-components/blueprintcomponents--guid-get
language: en
---

# GET /blueprintcomponents/{guid}

Get a blueprint component

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` |  |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
{}
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |
| `403` | `INSUFFICIENT_PERMISSIONS` | Insufficient permissions for this operation |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprintcomponents_view` | Required scope: blueprintcomponents_view |
